Bug 258814 - graphics/libheif: backport upstream fix for Clang 13
Summary: graphics/libheif: backport upstream fix for Clang 13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks: 258209
  Show dependency treegraph
 
Reported: 2021-09-30 17:03 UTC by Evgeniy Khramtsov
Modified: 2021-10-19 19:50 UTC (History)
3 users (show)

See Also:
evgeniy: maintainer-feedback-


Attachments
v1 (use "git am") (1.28 KB, patch)
2021-09-30 17:03 UTC, Evgeniy Khramtsov
no flags Details | Diff
v2 (use "git am") (2.05 KB, patch)
2021-10-01 19:13 UTC, Evgeniy Khramtsov
no flags Details | Diff
v2.1 (use "git am") (2.10 KB, patch)
2021-10-01 19:16 UTC, Evgeniy Khramtsov
evgeniy: maintainer-approval? (freebsd)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Evgeniy Khramtsov 2021-09-30 17:03:10 UTC
Created attachment 228293 [details]
v1 (use "git am")

devel/llvm13 as system toolchain can't build graphics/libheif. The attached workaround (?) fixes this for me. I'll file upstream PR today or tomorrow.
Comment 1 Evgeniy Khramtsov 2021-10-01 19:13:53 UTC
Created attachment 228333 [details]
v2 (use "git am")

Use upstream fix https://github.com/strukturag/libheif/commit/7976e1858a857e33200cd33d01689fd040de6d3d instead.
Comment 2 Evgeniy Khramtsov 2021-10-01 19:16:12 UTC
Created attachment 228334 [details]
v2.1 (use "git am")
Comment 3 commit-hook freebsd_committer 2021-10-19 19:46:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a6e539efacf58d1ddbe9dae6c2dfb11f8946f5f2

commit a6e539efacf58d1ddbe9dae6c2dfb11f8946f5f2
Author:     Dimitry Andric <dim@FreeBSD.org>
AuthorDate: 2021-10-19 19:39:02 +0000
Commit:     Dimitry Andric <dim@FreeBSD.org>
CommitDate: 2021-10-19 19:45:14 +0000

    graphics/libheif: fix build with clang 13

    With clang 13, building this port results in a number of "variable set
    but not used" warnings. These have been fixed by upstream in the mean
    time.

    PR:             258814
    Reported by:    Evgeniy Khramtsov <evgeniy@khramtsov.org>
    Approved by:    maintainer timeout (2 weeks)
    Obtained from:  https://github.com/strukturag/libheif/commit/7976e1858a857e33200cd33d01689fd040de6d3d
    MFH:            2021Q4

 graphics/libheif/Makefile | 5 +++--
 graphics/libheif/distinfo | 4 +++-
 2 files changed, 6 insertions(+), 3 deletions(-)